Name:		torrent-file-editor
Version:	1.0.0
Release:	%mkrel 1
Summary:	Qt based GUI tool designed to create and edit .torrent files
Group:		File tools
License:	GPLv3+
URL:		https://torrent-file-editor.github.io
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)

%description
Qt based GUI tool designed to create and edit .torrent files.

Features
 - create .torrent file from scratch
 - edit .torrent file in a user-friendly way
 - edit .torrent file in tree format
 - edit .torrent file in JSON format
 - add, remove and interchange files in .torrent file
 - support for codings

%prep
%setup -q

%build
%cmake_qt6 \
	-DQT6_BUILD=ON \
	-DDISABLE_DONATION=ON \
	-DENABLE_PCH=OFF

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Wed Oct 09 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2104335
- new version: 1.0.0

* Mon Aug 28 2023 daviddavid <daviddavid> 0.3.18-1.mga10
+ Revision: 1980503
- new version: 0.3.18
- switch to Qt6

* Sun Apr 03 2022 umeabot <umeabot> 0.3.17-5.mga9
+ Revision: 1842240
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.3.17-4.mga8
+ Revision: 1660077
- Rebuild for new Qt5

* Thu Apr 16 2020 danf <danf> 0.3.17-3.mga8
+ Revision: 1567725
- Disable precompiled headers to fix building

* Wed Feb 19 2020 umeabot <umeabot> 0.3.17-2.mga8
+ Revision: 1542733
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 daviddavid <daviddavid> 0.3.17-1.mga8
+ Revision: 1476877
- new version: 0.3.17
+ wally <wally>
- build with new cmake macros

* Mon Sep 23 2019 daviddavid <daviddavid> 0.3.16-1.mga8
+ Revision: 1445006
- new version: 0.3.16

* Sun Apr 21 2019 daviddavid <daviddavid> 0.3.15-1.mga7
+ Revision: 1394193
- initial package torrent-file-editor

